Package it.ernytech.tdlib

## Class TdApi.InputMessageLocation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageLocation

Enclosing class:
  TdApi

    public static class TdApi.InputMessageLocation
    extends TdApi.InputMessageContent

A message with a location.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `livePeriod` Period for which the location can be updated, in seconds; should bebetween 60 and 86400 for a live location and 0 otherwise.
`TdApi.Location` `location` Location to be sent.

### Constructor Summary

Constructors
`InputMessageLocation()` Default constructor.
`InputMessageLocation​(TdApi.Location location, int livePeriod)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### location

    public TdApi.Location location

Location to be sent.

#### livePeriod

    public int livePeriod

Period for which the location can be updated, in seconds; should bebetween 60 and 86400 for a live location and 0 otherwise.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageLocation

    public InputMessageLocation()

Default constructor.

#### InputMessageLocation

    public InputMessageLocation​(TdApi.Location location,
                                int livePeriod)

Constructor for initialization of all fields.

Parameters:
  `location` - Location to be sent.
  `livePeriod` - Period for which the location can be updated, in seconds; should bebetween 60 and 86400 for a live location and 0 otherwise.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR